Name:		dosbox
Version:	0.74.3
Release:	%mkrel 1
Summary:	Free Open Source DOS emulator to run old DOS games
# 0.74-2 is a forbidden version number, so zezinho repacked it to 0.74.2 
Source0:	http://prdownloads.sourceforge.net/dosbox/%{name}-%{version}.tar.xz
# mga#12599
# Source1 comes from http://www.dosbox.com/download.php?main=1 and is packaged by
# renaming files to {name}-{version}-locale.lng
# Be sure it fits {version} before adding/updating files to Source1!
Source1:	%{name}-%{version}-i18n.tar.xz
Source2:	%{name}-%{version}.conf
Source3:	%{name}-%{version}-set-locale_config.sh
License:	GPLv2+
Group:		Emulators
URL:		http://dosbox.sourceforge.net/
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	SDL_sound-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	icoutils

%description
DOSBox is a DOS-emulator that uses the SDL-library.

DOSBox also emulates CPU:286/386 realmode/protected mode,
Directory FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA
graphics, a SoundBlaster/Gravis Ultra Sound card for excellent
sound compatibility with older games.

You can "re-live" the good old days with the help of DOSBox,
it can run plenty of the old classics that don't run on your
new computer!

%prep
%setup -q
%autopatch -p0

%build
%configure2_5x	--enable-core-inline
%make_build

%install
%makeinstall
mkdir -p %{buildroot}%{_libexecdir}
mv -f %{buildroot}%{_bindir}/%{name} %{buildroot}%{_libexecdir}/

# Adds i18n support as requested on mga#12599
mkdir -p %{buildroot}%{_datadir}/%{name}/{i18n,template}
tar -xJf %{SOURCE1} -C %{buildroot}%{_datadir}/%{name}/i18n/
install -Dm 0664 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/template/
install -Dm 0755 %{SOURCE3} %{buildroot}%{_bindir}/%{name}

rm -rf %{buildroot}%{_datadir}/doc/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=DOSBox
GenericName=A DOS emulator
GenericName[ar]=محاكي DOS
GenericName[az]=DOS emulyatoru
GenericName[bg]=Емулатор на DOS
GenericName[bn]=একটি ডস এমুলেটর
GenericName[br]=Ur Kendarvaner DOS
GenericName[bs]=Simulator DOSa
GenericName[ca]=Emulador de DOS
GenericName[cy]=Efelychwr DOS
GenericName[da]=En DOS-emulator
GenericName[de]=Ein DOS-Emulator
GenericName[el]=Εξομοιωτής DOS
GenericName[es]=Un emulador de DOS
GenericName[et]=DOS-i emulaator
GenericName[eu]=DOS emulatzaile bat
GenericName[fa]=یک شبیه‌ساز داس
GenericName[fi]=DOS-emulaattori
GenericName[fr]=Un émulateur DOS
GenericName[gl]=Un emulador do DOS
GenericName[he]=הדמיית DOS
GenericName[hi]=एक डॉस एम्यूलेटर
GenericName[hr]=DOS emulator
GenericName[hu]=DOS-emulátor
GenericName[hy]=DOS էմուլատոր
GenericName[id]=Emulator DOS
GenericName[is]=DOS Hermir
GenericName[it]=Emulatore DOS
GenericName[ja]=DOS エミュレータ
GenericName[ky]=DOS эмулятору
GenericName[mk]=DOS емулатор
GenericName[mt]=Emulatur DOS
GenericName[nb]=DOS-emulator
GenericName[nl]=Een DOS-emulator
GenericName[nn]=DOS-emulator
GenericName[pl]=Emulator DOS
GenericName[pt]=Um emulador DOS
GenericName[pt_BR]=Emulador de DOS
GenericName[ro]=Un emulator de DOS
GenericName[ru]=Эмулятор DOS
GenericName[sc]=Un'emuladori de DOS
GenericName[sk]=DOS emulátor
GenericName[sl]=Emulator za DOS
GenericName[sq]=Një imitues DOS
GenericName[sv]=DOS-emulator
GenericName[tg]=Намунасизи DOS
GenericName[tl]=Isang manggagaya ng DOS
GenericName[tr]=Bir DOS öykünücü
GenericName[uk]=Емулятор DOS
GenericName[uz]=DOS emulyatori
GenericName[uz@cyrillic]=DOS emulyatori
GenericName[vi]=Trình mô phỏng DOS
GenericName[wa]=Èn emulateu DOS
GenericName[zh_CN]=DOS 模拟器
GenericName[zh_TW]=DOS 模擬器
Comment=DOS emulator to run old DOS programs
Comment[ru]=Эмулятор DOS для запуска старых программ DOS
Exec=%{name} %%U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Emulator;
EOF

icotool -x -i 1 -o %{name}.png src/%{name}.ico
install -m 0644 %{name}.png -D %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%files
%doc AUTHORS ChangeLog NEWS README THANKS docs/README.video
%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_mandir}/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/i18n/%{name}-*.lng
%{_datadir}/%{name}/template/%{name}-%{version}.conf


%changelog
* Sat Jun 29 2019 zezinho <zezinho> 0.74.3-1.mga6
+ Revision: 1415405
- security update mga#25013

* Tue Feb 09 2016 umeabot <umeabot> 0.74-15.mga6
+ Revision: 951913
- Mageia 6 Mass Rebuild

* Sun Jan 11 2015 alexl <alexl> 0.74-14.mga5
+ Revision: 809944
- enabled start under root

* Sun Jan 11 2015 alexl <alexl> 0.74-13.mga5
+ Revision: 809929
- fixed start with en locale
- no reasons to disable root

* Fri Dec 19 2014 alexl <alexl> 0.74-12.mga5
+ Revision: 804299
- fixed parameter transfer
- used i18n not only for desktop file
- added GenericName
- deleted defattr

* Wed Oct 15 2014 umeabot <umeabot> 0.74-11.mga5
+ Revision: 741039
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.74-10.mga5
+ Revision: 678813
- Mageia 5 Mass Rebuild

* Wed Apr 02 2014 dams <dams> 0.74-9.mga5
+ Revision: 611406
- fix i18n support (mga#12599)

* Thu Feb 13 2014 dams <dams> 0.74-8.mga5
+ Revision: 590091
- add a script to add i18n support to dosbox as requested on mga#12599
- add i18n files as Source1

* Tue Oct 22 2013 umeabot <umeabot> 0.74-7.mga4
+ Revision: 545043
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 0.74-6.mga4
+ Revision: 500699
- remove uneeded sources for the unofficial logo and use the official logo provided in the tarball

* Mon Jun 03 2013 fwang <fwang> 0.74-5.mga4
+ Revision: 435823
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.74-4.mga3
+ Revision: 349063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 0.74-3.mga3
+ Revision: 317203
- add a patch from opensuse to fix build with gcc47
- clean and update specfile

* Sun Feb 20 2011 eandry <eandry> 0.74-2.mga2
+ Revision: 54745
- remove mandriva stuff
- fix license
- imported package dosbox


* Sat Jul 10 2010 Zombie Ryushu <ryushu@mandriva.org> 0.74-1mdv2011.0
+ Revision: 550235
- string format fix
- Upgrade to 0.74
- Upgrade to 0.74

* Thu May 28 2009 Funda Wang <fwang@mandriva.org> 0.73-1mdv2010.0
+ Revision: 380341
- New version 0.73

* Sat Aug 23 2008 Emmanuel Andry <eandry@mandriva.org> 0.72-3mdv2009.0
+ Revision: 275268
- fix gcc43 build with P0 from fedora

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.72-1mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 0.72-1mdv2008.0
+ Revision: 72035
- New version 0.72

* Tue Jul 31 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.71-1mdv2008.0
+ Revision: 57009
- new release: 0.71
- drop debian menu


* Sun Mar 04 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.70-2mdv2007.0
+ Revision: 132307
- drop config file

* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.70-1mdv2007.1
+ Revision: 132116
- New version 0.70

* Sun Jan 14 2007 Emmanuel Andry <eandry@mandriva.org> 0.65-3mdv2007.1
+ Revision: 108652
- buildrequires mesaglu-devel
- fix buildrequires
- Import dosbox

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.65-2mdv2007.0
- xdg menu

* Fri Mar 31 2006 Götz Waschk <waschk@mandriva.org> 0.65-1mdk
- New release 0.65
- use mkrel

* Thu Mar 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.63-3mdk
- do not bzip2 icons in src.rpm
- convert changelog to utf8

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.63-2mdk
- from Miguel Barrio Orsikowsky <megamik@zarb.org> : 
	- changed BuildRequires
	- new configuration file
	- added SDL_sound-devel to BuildRequires
	- updated package description

* Fri Nov 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.63-1mdk
- New release 0.63

* Fri Oct 01 2004 Götz Waschk <waschk@linux-mandrake.com> 0.62-1mdk
- drop patch
- New release 0.62

* Fri Aug 20 2004 Götz Waschk <waschk@linux-mandrake.com> 0.61-3mdk
- rebuild for new menu

* Wed Jun 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.61-2mdk
- add source URL
- patch for new g++

